//How to use it::
//Give your form a class name 'ajaxify'(<form class="ajaxify">)
//call it on page like
//  <script>
//    $('form.ajaxify').ajaxify();
//  </script>

(function( $ ) {
    $.fn.ajaxify = function() {
        $(this).each(function(i,elem) {
            $(elem).submit(function(event) {
                event.stopPropagation();
                event.preventDefault();
                $.mobile.showPageLoadingMsg();
                $.post(
                    $(elem).attr('action'),
                    $(elem).serialize(),
                    function(response){
                        if(response != null){
                            //Do whatever needed with the response if its not handled with *.js.erb template
                            $(elem)[0].reset();
                            $.mobile.hidePageLoadingMsg();
                        }
                    });
            });
        });
    };
})( jQuery );