// Application-specific JS goes here

function captureImage(){
  navigator.camera.getPicture(uploadPhoto,
    function(message) { alert('get picture failed'); },
    { quality: 50, 
      destinationType: navigator.camera.DestinationType.FILE_URI,
      sourceType: navigator.camera.PictureSourceType.PHOTOLIBRARY }
  );
}

function uploadPhoto(imageURI) {
  var options = new FileUploadOptions();
  options.fileKey="golfer[avatar]";
  options.fileName=imageURI.substr(imageURI.lastIndexOf('/')+1);
  options.mimeType="image/jpeg";

  //var params = new Object();
  //params.value1 = "test";
  //params.value2 = "param";
  //options.params = params;

  var ft = new FileTransfer();
  //ft.upload(imageURI, "http://192.168.129.128:3000/mobile/avatar", win, fail, options);
  ft.upload(imageURI, "http://192.168.226.128:3000/mobile/avatar", win, fail, options);
}

function win(r) {
  console.log("Code = " + r.responseCode);
  console.log("Response = " + r.response);
  console.log("Sent = " + r.bytesSent);
}

function fail(error) {
  alert("An error has occurred: Code = " = error.code);
}

function captureCourseImage(){
  navigator.camera.getPicture(uploadCoursePhoto,
    function(message) { alert('get picture failed'); },
    { quality: 50, 
      destinationType: navigator.camera.DestinationType.FILE_URI,
      sourceType: navigator.camera.PictureSourceType.PHOTOLIBRARY }
  );
}

function uploadCoursePhoto(imageURI) {
  var options = new FileUploadOptions();
  options.fileKey="image";
  options.fileName=imageURI.substr(imageURI.lastIndexOf('/')+1);
  options.mimeType="image/jpeg";

  var ft = new FileTransfer();
  //ft.upload(imageURI, "http://192.168.129.128:3000/mobile/avatar", win, fail, options);
  ft.upload(imageURI, "http://192.168.226.128:3000/mobile/photo", win, fail, options);
}